#
#   Routes to accept in Flask and redirect to angular
#
from flask import Blueprint, render_template, session, abort

frontendRoutes = Blueprint('frontendRoutes', __name__, template_folder='static')

@frontendRoutes.route('/')
@frontendRoutes.route('/settings')
@frontendRoutes.route('/aes67')
@frontendRoutes.route('/ptp-rtp')
@frontendRoutes.route('/system-status')
@frontendRoutes.route('/logs')
@frontendRoutes.route('/defaults')
@frontendRoutes.route('/update')
@frontendRoutes.route('/reboot')
@frontendRoutes.route('/cgi-bin')
@frontendRoutes.route('/sources')
@frontendRoutes.route('/streaming')
@frontendRoutes.route('/audio-files')
@frontendRoutes.route('/scheduler')
@frontendRoutes.route('/speaker-status')
@frontendRoutes.route('/dante-status')
@frontendRoutes.route('/input-output')
@frontendRoutes.route('/remotecfg')
@frontendRoutes.route('/login', methods=['GET'])
def basic_pages0(**kwargs):
    return render_template('index.html')

"""
@angularRoutes.route('/login', methods=['GET'])
def login_page(**kwargs):
    return render_template('login.html')
"""

@frontendRoutes.errorhandler(404)
def page_not_found(e):
    # return render_template('404.html'), 404
    return render_template('index.html')
